Page MenuHomePhabricator

Show changes in moved paragraphs for mobile
Closed, ResolvedPublic

Description

This is the umbrella ticket for the work around show changes in moved paragraphs - mobile edition.
Like the desktop version, this change also has to happen in the wikidiff2 library, but it does not touch the same code.

Expected steps:

  • prepare a third test wiki that shows the mobile diff view
  • draft patch
  • test that desktop diff really didn't change
  • test that this is really improving things
  • add a feature flag so that changes only go live once the frontend was updated as well
  • support visual improvements to empty lines via CSS class
  • deploy updated version of wikidiff2
  • enable feature flag to show moved paragraphs on mobile for all wikis

Event Timeline

Lea_WMDE triaged this task as Normal priority.Apr 3 2018, 3:24 PM
Lea_WMDE created this task.

Change 426025 had a related patch set uploaded (by Tobias Gritschacher; owner: Jkroll):
[mediawiki/php/wikidiff2@master] show changes in moved moved lines, mobile/inline output

https://gerrit.wikimedia.org/r/426025

Lea_WMDE updated the task description. (Show Details)May 8 2018, 10:00 AM
Lea_WMDE updated the task description. (Show Details)May 8 2018, 1:41 PM
Lea_WMDE updated the task description. (Show Details)May 8 2018, 1:43 PM

Change 426025 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Jkroll):
[mediawiki/php/wikidiff2@master] show changes in moved lines, mobile/inline output

https://gerrit.wikimedia.org/r/426025

Change 426025 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] show changes in moved lines, mobile/inline output

https://gerrit.wikimedia.org/r/426025

Change 441143 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Show moved diffs in mobile view when present

https://gerrit.wikimedia.org/r/441143

Change 441144 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Smooth scrolling for jumping between moved paragraphs

https://gerrit.wikimedia.org/r/441144

WMDE-Fisch renamed this task from Show changes in moved paragraphs for mobile to Show changes in moved paragraphs for mobile.Jul 17 2018, 1:20 PM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch updated the task description. (Show Details)Aug 23 2018, 3:30 PM
WMDE-Fisch added a subscriber: WMDE-Fisch.

@Lea_WMDE I guess this can be closed now \o/

Lea_WMDE closed this task as Resolved.Aug 23 2018, 3:32 PM
Lea_WMDE claimed this task.